CC     = gcc
LD     = gcc
# directory for parser files
PDIR   = /usr/local
CFLAGS = -m68020 -O2 -fomit-frame-pointer -resident -DSTDC_HEADERS \
	-DXPFILE=\\"$(PDIR)/bison.simple\\" -DXPFILE1=\\"$(PDIR)/bison.hairy\\"
LFLAGS = $(CFLAGS) -s
LIBS   =

.c.o:
	$(CC) -c $(CFLAGS) -o $@ $*.c

OBJS = LR0.o allocate.o closure.o conflicts.o derives.o files.o getargs.o \
	gram.o lalr.o lex.o main.o nullable.o output.o print.o reader.o \
	reduce.o symtab.o warshall.o version.o getopt.o getopt1.o alloca.o

bison: $(OBJS)
	$(LD) $(LFLAGS) -o $@ $< $(LIBS)
	-protect $@ +p
